org.appng.api

## Class Session.Environment

- java.lang.Object
- - org.appng.api.Session.Environment

- Enclosing class:
    Session

      public static class Session.Environment
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPNG_ROLES` A list of the user's roles
    `static String` | `LOCALE` The current `Locale`.
    `static String` | `MESSAGES` A `Messages`-object, used to store messages that should survive a redirect.
    `static String` | `SID` The ID of the session, return-type is `String`.
    `static String` | `STARTTIME` The start time of the current session as unix-time, return type is `long`
    `static String` | `SUBJECT` The current `Subject`.
    `static String` | `TIMEOUT` The timeout of the current session in milliseconds, return-type is `int`
    `static String` | `TIMEZONE` The current `TimeZone`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Environment()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPNG_ROLES

          public static final String APPNG_ROLES

      A list of the user's roles
      See Also:
        Constant Field Values

    - #### STARTTIME

          public static final String STARTTIME

      The start time of the current session as unix-time, return type is `long`
      See Also:
        Constant Field Values

    - #### TIMEOUT

          public static final String TIMEOUT

      The timeout of the current session in milliseconds, return-type is `int`
      See Also:
        Constant Field Values

    - #### SID

          public static final String SID

      The ID of the session, return-type is `String`.
      See Also:
        Constant Field Values

    - #### MESSAGES

          public static final String MESSAGES

      A `Messages`-object, used to store messages that should survive a redirect.
      See Also:
        Constant Field Values

    - #### SUBJECT

          public static final String SUBJECT

      The current `Subject`.

    - #### LOCALE

          public static final String LOCALE

      The current `Locale`.
      See Also:
        Constant Field Values

    - #### TIMEZONE

          public static final String TIMEZONE

      The current `TimeZone`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Environment

          public Environment()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.